Texa DeskDevelopers

Texa Desk Application API · Account

Get account details

GET/api/v1/accounts/{account_id}

Get the details of the current account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

account_idintegerrequired

The numeric ID of the account

Responses

200

Success

idnumber

Account ID

namestring

Name of the account

localestring

The locale of the account

domainstring

The domain of the account

support_emailstring

The support email of the account

statusstring

The status of the account

created_atstring (date-time)

The creation date of the account

cache_keysobject

Cache keys for the account

featuresobject

Enabled features for the account

settingsobject

Account settings

settings.auto_resolve_afternumber

Auto resolve conversations after specified minutes

settings.auto_resolve_messagestring

Message to send when auto resolving

settings.auto_resolve_ignore_waitingboolean

Whether to ignore waiting conversations for auto resolve

custom_attributesobject

Custom attributes of the account

custom_attributes.plan_namestring

Subscription plan name

custom_attributes.subscribed_quantitynumber

Subscribed quantity

custom_attributes.subscription_statusstring

Subscription status

custom_attributes.subscription_ends_onstring (date)

Subscription end date

custom_attributes.industrystring

Industry type

custom_attributes.company_sizestring

Company size

custom_attributes.timezonestring

Account timezone

custom_attributes.logostring

Account logo URL

custom_attributes.onboarding_stepstring

Current onboarding step

custom_attributes.marked_for_deletion_atstring (date-time)

When account was marked for deletion

custom_attributes.marked_for_deletion_reasonstring

Reason for account deletion

latest_chatwoot_versionstring

Latest version of Texa Desk available

subscribed_featuresarray of string

List of subscribed enterprise features (if enterprise edition is enabled)

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Account not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring